/* @(#)x25_ioctl.h 6.22 92/07/31 */

/* ICNCFIX by -WFP- for ANSI C compliance. bug 1103185 */

#ifndef _NETX25_X25_IOCTL_H
#define _NETX25_X25_IOCTL_H

#include <sys/ioccom.h>

#ifdef __STDC__

#define X25_RD_SYSGEN		_IOWR('x', 101, X25_SYSGEN_DB )
#define X25_WR_SYSGEN		_IOW('x', 102, X25_SYSGEN_DB )
#define X25_RD_HOSTADR		_IOR('x', 103, CONN_ADR )
#define X25_WR_HOSTADR		_IOW('x', 104, CONN_ADR )
#define X25_RD_SBHIWAT     	_IOR('x', 105, SO_HIWAT_DB )
#define X25_WR_SBHIWAT     	_IOW('x', 106, SO_HIWAT_DB )
#define X25_RD_FACILITY		_IOR('x', 107, FACILITY_DB )
#define X25_WR_FACILITY	_IOW('x', 108, FACILITY_DB )
#define X25_WR_MASK_DATA	_IOW('x', 109, MASK_DATA_DB )
#define X25_RD_USER_DATA	_IOR('x', 110, USER_DATA_DB )
#define X25_WR_USER_DATA	_IOW('x', 111, USER_DATA_DB )
#define X25_SETUP_PVC		_IOW('x', 112, X25_PVC_DB )
#define X25_USE_IFNET		_IOW('x', 113, int )
#define X25_SEND_TYPE		_IOW('x', 114, int )
#define X25_OOB_TYPE		_IOR('x', 115, int )
#define X25_MGMTSOCK_REGISTRATION	_IO('x', 116 )
#define X25_RESET_L2		_IOW('x', 119, int )
#define X25_RD_L12_STATISTICS	_IOWR('x',120, X25_L12_STAT_DB )
#define X25_RD_L3_STATISTICS 	_IOWR('x',121, X25_L3_STAT_DB )
#define X25_CALL_ACPT_APPROVAL  _IOW('x', 122, int )
#define X25_SEND_CALL_ACPT     	_IO('x', 123 )
#define X25_RD_LCGN		_IOR('x', 129, int )
#define X25_HEADER		_IOW('x', 131, int )
#define X25_RECORD_SIZE		_IOW('x', 132, int )
#define X25_RD_CAUSE_DIAG	_IOR('x', 133, X25_CAUSE_DIAG )
#define X25_WR_CAUSE_DIAG	_IOW('x', 134, X25_CAUSE_DIAG )
#define X25_GETADDR		_IOWR('x', 135, struct x25_addr_tbl )
#define X25_PUTADDR		_IOW('x', 136, struct x25_addr_req )
#define X25_RCVOOB		_IOWR('x',138, ADR_CB )

#define X25_RD_LINKADR		_IOWR('x',140, LINK_ADR )
#define X25_WR_LINKADR		_IOW('x', 141, LINK_ADR )
#define X25_RD_LINK_STATISTICS 	_IOWR('x',142, X25_LINK_STAT_DB )
#define X25_RD_PKT_STATISTICS 	_IOWR('x',143, X25_PKT_STAT_DB )
#define X25_RD_LOCAL_ADR	_IOR('x', 145, CONN_ADR )
#define X25_RD_REMOTE_ADR	_IOR('x', 146, CONN_ADR )
#define X25_SET_LINK		_IOW('x', 147, int )
#define X25_GET_LINK		_IOR('x', 148, int )
#define X25_GET_NLINKS		_IOR('x', 149, int )
#define X25_WR_LOCAL_ADR	_IOW('x', 151, CONN_ADR )
#define X25_ADD_ROUTE		_IOW('x', 152, X25_ROUTE )
#define X25_GET_ROUTE		_IOWR('x', 153, X25_ROUTE )
#define X25_GET_NEXT_ROUTE	_IOWR('x', 154, X25_ROUTE )
#define X25_RM_ROUTE		_IOW('x', 155, X25_ROUTE )
#define X25_VERSION		_IOR('x', 157, int )
#define X25_SET_LISTEN_COUNT	_IOW('x', 158, int )
#define X25_GET_LISTEN_COUNT	_IOR('x', 159, int )

#define X25_GET_FACILITY	_IOWR('x', 160, FACILITY )
#define X25_SET_FACILITY	_IOW('x', 161, FACILITY )
#define X25_FLUSH_ROUTES	_IO('x', 162)
#define	X25_WR_MACADDR		_IOW('x', 163, X25_MACADDR)
#define	X25_RD_MACADDR		_IOR('x', 164, X25_MACADDR)
#define	X25_GET_NEXT_LINK_STAT	_IOWR('x', 165, X25_NEXT_LINK_STAT)
#define	X25_GET_NEXT_VC_STAT	_IOWR('x', 166, X25_NEXT_VC_STAT)

#define	X25_DEBUG_PR		_IOW('x', 167, int) */

/* ICNCFIX for BELL hiwater mark problem. */
#define X25_WRITE_BUFFER_FULL   _IOW('x', 168, int)
/* End of fix */

/* ICNCFIX for bug 1086872 */
#define X25_MGMTSOCKET_REG2     _IOW('x', 169, int)
/* End of fix */

/* ICNCFIX by -TH- for ISO8882 conformance. PATCH_1 */
#define X25_SET_T26_TIMER       _IOW('x', 170, X25_T26)
#define X25_GET_T26_TIMER       _IOWR('x', 171, X25_T26)
/* End of fix */

/* ICNCFIX by -TH- for ISO8882 conformance.  PATCH_18 */
#define X25_SET_ISO8208         _IOW('x', 174, X25_ISO8208)
#define X25_GET_ISO8208         _IOWR('x', 175, X25_ISO8208)
/* End of fix */

/* ICNCFIX by -TH- to allow restart on link reset to be configured. */
#define X25_SET_RESTART_ON_RESET _IOW('x', 176, X25_RESTART_ON_RESET)
#define X25_GET_RESTART_ON_RESET _IOWR('x', 177, X25_RESTART_ON_RESET)
/* End of fix */

/* CEFIX by -AD- to enable HDLC/LLC2 link messages */
#define X25_LINK_MSGS_PR _IOWR('x', 178, LINK_MSGS)
/* End of fix */

/* ICNCFIX by -WFP- to support the 6.x X25_RD_LCN_INFO ioctl. bug 1098574 */

#define X25_RD_LCN_INFO         _IOWR('x',144, LCN_INFO)

/* end of part of fix */

#else /* ! __STDC__ */

/* end of part of fix */

#define X25_RD_SYSGEN		_IOWR(x,101, X25_SYSGEN_DB )
#define X25_WR_SYSGEN		_IOW(x,	102, X25_SYSGEN_DB )
#define X25_RD_HOSTADR		_IOR(x, 103, CONN_ADR )
#define X25_WR_HOSTADR		_IOW(x,	104, CONN_ADR )
#define X25_RD_SBHIWAT     	_IOR(x,	105, SO_HIWAT_DB )
#define X25_WR_SBHIWAT     	_IOW(x,	106, SO_HIWAT_DB )
#define X25_RD_FACILITY		_IOR(x,	107, FACILITY_DB )
#define X25_WR_FACILITY		_IOW(x,	108, FACILITY_DB )
#define X25_WR_MASK_DATA	_IOW(x,	109, MASK_DATA_DB )
#define X25_RD_USER_DATA	_IOR(x,	110, USER_DATA_DB )
#define X25_WR_USER_DATA	_IOW(x,	111, USER_DATA_DB )
#define X25_SETUP_PVC		_IOW(x,	112, X25_PVC_DB )
#define X25_USE_IFNET		_IOW(x,	113, int )
#define X25_SEND_TYPE		_IOW(x,	114, int )
#define X25_OOB_TYPE		_IOR(x,	115, int )
#define X25_MGMTSOCK_REGISTRATION	_IO(x,	116 )
#define X25_RESET_L2		_IOW(x,	119, int )
#define X25_RD_L12_STATISTICS 	_IOWR(x,120, X25_L12_STAT_DB )
#define X25_RD_L3_STATISTICS 	_IOWR(x,121, X25_L3_STAT_DB )
#define X25_CALL_ACPT_APPROVAL  _IOW(x,	122, int )
#define X25_SEND_CALL_ACPT     	_IO(x,	123 )
#define X25_RD_LCGN		_IOR(x,	129, int )
#define X25_HEADER		_IOW(x,	131, int )
#define X25_RECORD_SIZE		_IOW(x,	132, int )
#define X25_RD_CAUSE_DIAG	_IOR(x, 133, X25_CAUSE_DIAG )
#define X25_WR_CAUSE_DIAG	_IOW(x, 134, X25_CAUSE_DIAG )
#define X25_GETADDR		_IOWR(x, 135, struct x25_addr_tbl )
#define X25_PUTADDR		_IOW(x, 136, struct x25_addr_req )
#define X25_RCVOOB		_IOWR(x,138, ADR_CB )

#define X25_RD_LINKADR		_IOWR(x,140, LINK_ADR )
#define X25_WR_LINKADR		_IOW(x,	141, LINK_ADR )
#define X25_RD_LINK_STATISTICS 	_IOWR(x,142, X25_LINK_STAT_DB )
#define X25_RD_PKT_STATISTICS 	_IOWR(x,143, X25_PKT_STAT_DB )
#define X25_RD_LOCAL_ADR	_IOR(x, 145, CONN_ADR )
#define X25_RD_REMOTE_ADR	_IOR(x, 146, CONN_ADR )
#define X25_SET_LINK		_IOW(x, 147, int )
#define X25_GET_LINK		_IOR(x, 148, int )
#define X25_GET_NLINKS		_IOR(x, 149, int )
#define X25_WR_LOCAL_ADR	_IOW(x, 151, CONN_ADR )
#define X25_ADD_ROUTE		_IOW(x, 152, X25_ROUTE )
#define X25_GET_ROUTE		_IOWR(x, 153, X25_ROUTE )
#define X25_GET_NEXT_ROUTE	_IOWR(x, 154, X25_ROUTE )
#define X25_RM_ROUTE		_IOW(x, 155, X25_ROUTE )
#define X25_VERSION		_IOR(x, 157, int )
#define X25_SET_LISTEN_COUNT	_IOW(x, 158, int )
#define X25_GET_LISTEN_COUNT	_IOR(x, 159, int )

#define X25_GET_FACILITY	_IOWR(x, 160, FACILITY )
#define X25_SET_FACILITY	_IOW(x, 161, FACILITY )
#define X25_FLUSH_ROUTES	_IO(x, 162)
#define	X25_WR_MACADDR		_IOW(x, 163, X25_MACADDR)
#define	X25_RD_MACADDR		_IOR(x, 164, X25_MACADDR)
#define	X25_GET_NEXT_LINK_STAT	_IOWR(x, 165, X25_NEXT_LINK_STAT)
#define	X25_GET_NEXT_VC_STAT	_IOWR(x, 166, X25_NEXT_VC_STAT)

#define	X25_DEBUG_PR		_IOW(x, 167, int)

/* ICNCFIX for BELL hiwater mark problem. */
#define X25_WRITE_BUFFER_FULL   _IOW(x, 168, int)
/* End of fix */

/* ICNCFIX for bug 1086872 */
#define X25_MGMTSOCKET_REG2     _IOW(x, 169, int)
/* End of fix */

/* ICNCFIX by -TH- for ISO8882 conformance. PATCH_1 */
#define X25_SET_T26_TIMER	_IOW(x, 170, X25_T26)
#define X25_GET_T26_TIMER	_IOWR(x, 171, X25_T26)
/* End of fix */

/* ICNCFIX by -TH- for ISO8882 conformance.  PATCH_18 */
#define X25_SET_ISO8208		_IOW(x, 174, X25_ISO8208)
#define X25_GET_ISO8208		_IOWR(x, 175, X25_ISO8208)
/* End of fix */

/* ICNCFIX by -TH- to allow restart on link reset to be configured. */
#define X25_SET_RESTART_ON_RESET _IOW(x, 176, X25_RESTART_ON_RESET)
#define X25_GET_RESTART_ON_RESET _IOWR(x, 177, X25_RESTART_ON_RESET)
/* End of fix */

/* CEFIX by -AD- to allow HDLC/LLC2 link messages to be enabled */
#define X25_LINK_MSGS_PR _IOWR(x, 178, LINK_MSGS)
/* End of fix */

/* ICNCFIX by -WFP- to support the 6.x X25_RD_LCN_INFO ioctl. bug 1098574 */

#define	X25_RD_LCN_INFO		_IOWR(x,144, LCN_INFO)

/* end of part of fix */

/* ICNCFIX by -WFP- for ANSI C compliance. bug 1103185 */

#endif /* __STDC__ */

#endif /* _NETX25_X25_IOCTL_H */

/* end of part of fix */

